Summary: 	Sound server for Linux
Name: 		polypaudio
Version: 	0.8.1
Release: 	3
Source0: 	%{name}-%{version}.tar.gz
License: 	LGPL
Group: 		Libraries
Url: 		http://pulseaudio.org/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  libsndfile-devel libsamplerate-devel
Provides:	pulseaudio libpulseaudio

%description
pulseaudio is a sound server for Linux and other Unix like operating
systems. It is intended to be an improved drop-in replacement for the
Enlightened Sound Daemon (ESOUND). In addition to the features ESOUND
provides polypaudio has:
     * Extensible plugin architecture (by loading dynamic loadable
       modules with dlopen())
     * Support for more than one sink/source
     * Better low latency behaviour
     * Embedabble into other software (the core is available as C
       library)
     * Completely asynchronous C API
     * Simple command line interface for reconfiguring the daemon while
       running
     * Flexible, implicit sample type conversion and resampling
     * "Zero-Copy" architecture
     * Module autoloading
     * Very accurate latency measurement for playback and recording.
     * May be used to combine multiple sound cards to one (with sample
       rate adjustment)
     * Client side latency interpolation

%package 	devel
Summary: 	Development headers of the polpyaudio sound server
Group: 		Development
Provides:	pulseaudio-devel libpulseaudio

%description 	devel
pulseaudio is a sound server for Linux and other Unix like operating
systems. It is intended to be an improved drop-in replacement for the
Enlightened Sound Daemon (ESOUND). In addition to the features ESOUND
provides polypaudio has:
     * Extensible plugin architecture (by loading dynamic loadable
       modules with dlopen())
     * Support for more than one sink/source
     * Better low latency behaviour
     * Embedabble into other software (the core is available as C
       library)
     * Completely asynchronous C API
     * Simple command line interface for reconfiguring the daemon while
       running
     * Flexible, implicit sample type conversion and resampling
     * "Zero-Copy" architecture
     * Module autoloading
     * Very accurate latency measurement for playback and recording.
     * May be used to combine multiple sound cards to one (with sample
       rate adjustment)
     * Client side latency interpolation

This contains the C headers and libraries needed to build polypaudio
based applications.


%prep
%setup -q

%build
%configure \
    --with-system-user=root \
    --with-system-group=root \
    --with-realtime-group=users \
    --with-access-group=users \
    --disable-nls
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
ln -sf polyp $RPM_BUILD_ROOT/%{_includedir}/%{name}

strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/%{name}/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_sysconfdir}
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/%{name}/*.so
%{_libdir}/%{name}/*.la
%{_bindir}

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/%{name}/*.a
%{_includedir}
%{_libdir}/pkgconfig
